CREATE TABLE fai_sam_raw_hdl (
    RAW_HDL_ID               NUMBER(18, 0),
    DAY                      DATE         ,
    PROCESS_STATUS           VARCHAR2(320),
    KEY                      VARCHAR2(320)    NOT NULL,
    THREAD_COUNT_IMPORT      NUMBER       ,
    THREAD_COUNT_LOAD        NUMBER       ,
    LOAD_IMPORT              NUMBER       ,
    LOAD_LINE                NUMBER       ,
    LOAD_SUCCESS             NUMBER       ,
    PROCESSING_TIME          NUMBER       ,
    ID_METRIC                VARCHAR2(960),
    UCM_ID                   VARCHAR2(960),
    CHUNK                    NUMBER       ,
    LOAD_LINE_IN_ERROR       NUMBER       ,
    START_TIME               TIMESTAMP(6) ,
    STOP_TIME                TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RAW_HDL_ID               NUMBER(18, 0),
    DAY                      DATE         ,
    PROCESS_STATUS           VARCHAR2(320),
    KEY                      VARCHAR2(320)    NOT NULL,
    THREAD_COUNT_IMPORT      NUMBER       ,
    THREAD_COUNT_LOAD        NUMBER       ,
    LOAD_IMPORT              NUMBER       ,
    LOAD_LINE                NUMBER       ,
    LOAD_SUCCESS             NUMBER       ,
    PROCESSING_TIME          NUMBER       ,
    ID_METRIC                VARCHAR2(960),
    UCM_ID                   VARCHAR2(960),
    CHUNK                    NUMBER       ,
    LOAD_LINE_IN_ERROR       NUMBER       ,
    START_TIME               TIMESTAMP(6) ,
    STOP_TIME                TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fai_sam_raw_hdl PRIMARY KEY (RAW_HDL_ID, RAW_HDL_ID)
);
